
/*
 * $Id: ConnMgr.h,v 1.14.4.3 1999/11/28 22:25:03 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef PG_CONNECTION_MANAGER_H
#define PG_CONNECTION_MANAGER_H

#include "Farm.h"
#include "FileScanner.h"
#include "Connection.h"
#include "ConnIdx.h"

class RndDistr;

// interface for managing agent connections
class ConnMgr: public FileScanner::User {
	public:
		ConnMgr();

		void configure(const SockOpt &anOpt, RndDistr *aPconnUseLmt);
		void idleTimeout(Time aTout);

		// return used connection
		void put(Connection *conn);

		virtual void noteTimeout(int fd, Time tout);

	protected:
		virtual void putIdle(Connection *conn);
		
		void opened(Connection *conn);
		void close(Connection *conn);
		void setUseLimit(Connection *conn);

	protected:
		static ObjFarm<Connection> TheConnFarm;
		static ConnIdx TheConnIdx; // shared fd -> conn map
	
		SockOpt theSockOpt;
		RndDistr *thePconnUseLmt;
		Time theIdleTimeout;

		int theConnLvl;       // all opened connections
		int theIdleConnLvl;   // idle connections
};

#endif
