
/*
 * $Id: polyErrors.h,v 1.13.2.2 1999/11/28 22:46:07 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef PG_POLY_ERRORS_H
#define PG_POLY_ERRORS_H

class ErrorStrTbl;
extern const ErrorStrTbl *polyErrorStrTbl();

enum PolyErrors {
	errStart = 255,  // assume all "system" errors have lower numbers
	errForeignReq,
	errForeignRep,
	errPrematureEof,
	errPrematureEoh,
	errExtraRepData,
	errNoUseClose,
	errNoCLen,
	errHugeHdr,
	errUnchbHit,
	err1UseHit,
	errZeroFDLimit,
	errChbChange,
	errFalseHit,
	errServerGone,
	errLogBufFull,
	errUnclaimOid,
	errUnsolicOid,
	errNoNewOids,
	errNidReqFlood,
	errNidRepFlood,
	errNidMapLimit,
	errSrvChangedWid,
	errWrongContentId,
	errForeignTag,
        errMalformedTag,
        errOpenTag, // vs. unbalanced
	errTooManyWaitXact,
	errTimingDrift,

	errOther,

	errEnd
};

#endif
