
/*
 * $Id: PglPopModelSym.h,v 1.2 1999/09/17 23:54:55 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef PGL_POP_MODEL_SYMBOL_H
#define PGL_POP_MODEL_SYMBOL_H

#include "PglExprSym.h"

class ostream;
class String;
class PopModel;

// popularity model
class PopModelSym: public ExpressionSym {
	public:
		PopModelSym(const String &aType, PopModel *aVal);
		virtual ~PopModelSym();

		virtual bool isA(const String &type) const;
		virtual SynSym *clone(const String &type) const;

		PopModel *val() const { return theVal; }

		virtual ostream &print(ostream &os, const String &pfx = 0) const;

	protected:
		PopModel *theVal;
};

#endif
