
/*
 * $Id: pgl_test.cc,v 1.3.6.1 1999/10/26 05:27:23 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#include "pgl.h"

#include "PglPp.h"
#include "PglCtx.h"
#include "PglParser.h"

#include "gadgets.h"

int main(int argc, char **argv) {

	if (argc < 2)
		cerr << "usage: " << argv[0] << " <input_file>" << endl << xexit;

	PglPp pp(argv[1]);
	PglParser parser(&pp);

	parser.parse();

	// print the final symbol table
	configureStream(cout, 2);
	PglCtx::RootCtx()->report(cout, "");

	return 0;
}
