
/*
 * $Id: fixResourceUsage.h,v 1.1.2.2 1999/11/08 05:31:44 rousskov Exp $
 *
 *
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1999 by Alex Rousskov and the
 *  University of California, San Diego (UCSD); all rights reserved.
 *
 *  You may copy and distribute VERBATIM copies of this product. 
 *  You may modify your copy for your own use. You must NOT
 *  distribute modified copies. You must NOT publish benchmarking
 *  results based on modified versions.
 *
 *  If you publish any materials derived from or related to Web
 *  Polygraph, you must give a credit reference to the IRCache group.
 *
 *  Web Polygraph is distributed without any warranty, even implied.
 *
 *  Please see the COPYRIGHT file for full details.
 *
 */

#ifndef XSTD_FIX_RESOURCE_USAGE_H
#define XSTD_FIX_RESOURCE_USAGE_H

#include "Time.h"
#include "Size.h"

#ifndef HAVE_TYPE_RUSAGE
	// fake structure
	struct rusage {
		timeval ru_stime;
		timeval ru_utime;
		long ru_maxrss;
		long ru_majflt;
		long other[16];
	};
#elif defined(CFG_HOS_SGI) && _ABIAPI
#	define ru_maxrss ru_pad[0]
#	define ru_majflt ru_pad[5]
#endif

extern Size MaxRss2Size(long maxrss);

#endif
